Bug 1965968 - Since Satellite 6.8 it's not possible to remove subscriptions from 'WebUI --> Content --> Subscriptions' page if the user doesn't have 'Setting' permissions.
Summary: Since Satellite 6.8 it's not possible to remove subscriptions from 'WebUI -->...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Subscription Management
Version: 6.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.11.0
Assignee: Lucy Fu
QA Contact: Cole Higgins
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-31 09:22 UTC by Jan Senkyrik
Modified: 2022-06-23 14:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
pic1 (72.83 KB, image/png)
2021-05-31 09:24 UTC, Jan Senkyrik
no flags Details
pic2 (40.56 KB, image/png)
2021-05-31 09:25 UTC, Jan Senkyrik
no flags Details
pic3 (181.04 KB, image/png)
2021-05-31 09:25 UTC, Jan Senkyrik
no flags Details
pic4 (77.64 KB, image/png)
2021-05-31 09:26 UTC, Jan Senkyrik
no flags Details
pic5 (181.20 KB, image/png)
2021-05-31 09:26 UTC, Jan Senkyrik
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 33000 0 Normal New Since Satellite 6.8 it's not possible to remove subscriptions from 'WebUI --> Content --> Subscriptions' page if the use... 2021-09-01 12:47:30 UTC

Description Jan Senkyrik 2021-05-31 09:22:56 UTC
Description of problem:
- Since Satellite 6.8 it's not possible to remove subscriptions from 'WebUI --> Content --> Subscriptions' page if the user doesn't have 'Setting' permissions. The checkbox using which you can select subscriptions is missing.

Version-Release number of selected component (if applicable):
- Satellite 6.8
- Satellite 6.9

How reproducible:
- Always

Steps to Reproduce:
- Create a role and assign 'Organization', 'Location' and 'Subscription' permissions. [without_setting1.png]
- Associate the role with a user. [without_setting2.png]
- Login as this user and navigate to 'Subscriptions' page. The checkboxes next to each subscription are missing. [without_setting3.png]
- Add 'Setting' permission to the role. [with_setting1.png]
- Login as the user and navigate to 'Subscriptions' page. The checkboxes are present and you can select subscriptions. [with_setting2.png]


Additional info:
- It was not necessary to have permissions from 'Setting' resource in Satellite 6.7. Is this expected?


Thanks in advance for your feedback.

Kind regards,
Jan

Comment 1 Jan Senkyrik 2021-05-31 09:24:52 UTC
Created attachment 1788189 [details]
pic1

Comment 2 Jan Senkyrik 2021-05-31 09:25:19 UTC
Created attachment 1788190 [details]
pic2

Comment 3 Jan Senkyrik 2021-05-31 09:25:41 UTC
Created attachment 1788191 [details]
pic3

Comment 4 Jan Senkyrik 2021-05-31 09:26:02 UTC
Created attachment 1788192 [details]
pic4

Comment 5 Jan Senkyrik 2021-05-31 09:26:30 UTC
Created attachment 1788193 [details]
pic5

Comment 6 Lucy Fu 2021-06-21 20:33:19 UTC
Hi Jan,

What mode is the server in, connected or disconnected when checkbox column is missing?
Thanks.

Comment 7 Jan Senkyrik 2021-06-22 09:54:19 UTC
Hi Lucy,

I've done my tests on Satellite in disconnected mode.

Thanks,
Jan

Comment 8 Jan Senkyrik 2021-06-22 09:55:01 UTC
Sorry I meant to say in connected mode.

Comment 9 Lucy Fu 2021-06-22 12:13:17 UTC
Hi Jan,

Could I access your testing environment? 
I can't re-produce the issue locally with connected mode server following your steps.

Comment 10 Lucy Fu 2021-06-28 14:59:43 UTC
Any update? Is the issue still valid?

Comment 11 Jan Senkyrik 2021-07-02 15:09:01 UTC
Hi Lucy,

Apologies for the delay. The issue is still valid, I've sent you the reproducer details over email.

Thanks & Kind regards,
Jan

Comment 12 Lucy Fu 2021-07-12 21:15:02 UTC
Created redmine issue https://projects.theforeman.org/issues/33000 from this bug

Comment 13 Maria 2021-08-26 10:05:00 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/33000 has been resolved.


Note You need to log in before you can comment on or make changes to this bug.